GET Customer Delivery Addresses
Customer delivery address
This call should return customer delivery address response for the given customer account UUID
Path Parameters
- Type: stringcustomer
_account _id requiredCustomer account UUID
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
Responses
- application/json
- 400
Bad Request
- 403
Forbidden
- 404
Not Found
Request Example for get/customer-accounts/{customer_account_id}/delivery-addresses
curl https://api-public-demo.menu.app/api/customer-accounts/47bf5f70-3f23-11ed-936c-1a67b454859d/delivery-addresses \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937'
{
"status": "OK",
"code": 200,
"data": {
"delivery_addresses": [
{
"street_name": "Kisačka",
"street_number": "78",
"apartment_number": "21",
"notes": "\"\"",
"latitude": 45.26597499,
"longitude": 19.83582061,
"postdoce": 21000,
"place": "\"\"",
"region": "\"\"",
"country": "Serbia",
"formatted_address": "Kisačka 78, Novi Sad 21000, Serbia",
"is_custom": "string",
"is_number_first": "string",
"id": "6b9ccfc0-a9b6-4017-bb77-b98eca76f47d"
}
]
}
}